curl --request PATCH \
--url https://www.ruddr.io/api/workspace/project-other-items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoiceItemId": "<string>",
"date": "2023-12-25",
"description": "<string>",
"quantity": 123,
"rate": 123,
"fee": 123
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-other-items/{id}"
payload = {
"invoiceItemId": "<string>",
"date": "2023-12-25",
"description": "<string>",
"quantity": 123,
"rate": 123,
"fee": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoiceItemId: '<string>',
date: '2023-12-25',
description: '<string>',
quantity: 123,
rate: 123,
fee: 123
})
};
fetch('https://www.ruddr.io/api/workspace/project-other-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-other-items/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'invoiceItemId' => '<string>',
'date' => '2023-12-25',
'description' => '<string>',
'quantity' => 123,
'rate' => 123,
'fee' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-other-items/{id}"
payload := strings.NewReader("{\n \"invoiceItemId\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"quantity\": 123,\n \"rate\": 123,\n \"fee\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.ruddr.io/api/workspace/project-other-items/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"invoiceItemId\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"quantity\": 123,\n \"rate\": 123,\n \"fee\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-other-items/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"invoiceItemId\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"quantity\": 123,\n \"rate\": 123,\n \"fee\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "7ed48ebd-8797-48b2-b54e-53bdc9c0656b",
"date": "2026-02-25",
"quantity": 8,
"rate": 150,
"fee": 1200,
"description": "Additional consulting hours",
"createdAt": "2026-02-25T20:20:59.129Z",
"project": {
"id": "9ee20e9d-10c1-4d52-9d93-bf2eeda62d45",
"name": "Website Redesign",
"client": {
"id": "d5afaffe-09e5-4d73-b02c-905b40fc6c22",
"name": "Acme Company, Inc."
}
},
"invoiceItem": {
"id": "72761804-b01e-4c8f-8352-2fcde43261a8",
"name": "Professional Services"
},
"invoiced": false
}Update a project other item
curl --request PATCH \
--url https://www.ruddr.io/api/workspace/project-other-items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoiceItemId": "<string>",
"date": "2023-12-25",
"description": "<string>",
"quantity": 123,
"rate": 123,
"fee": 123
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-other-items/{id}"
payload = {
"invoiceItemId": "<string>",
"date": "2023-12-25",
"description": "<string>",
"quantity": 123,
"rate": 123,
"fee": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoiceItemId: '<string>',
date: '2023-12-25',
description: '<string>',
quantity: 123,
rate: 123,
fee: 123
})
};
fetch('https://www.ruddr.io/api/workspace/project-other-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-other-items/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'invoiceItemId' => '<string>',
'date' => '2023-12-25',
'description' => '<string>',
'quantity' => 123,
'rate' => 123,
'fee' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-other-items/{id}"
payload := strings.NewReader("{\n \"invoiceItemId\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"quantity\": 123,\n \"rate\": 123,\n \"fee\": 123\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.ruddr.io/api/workspace/project-other-items/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"invoiceItemId\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"quantity\": 123,\n \"rate\": 123,\n \"fee\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-other-items/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"invoiceItemId\": \"<string>\",\n \"date\": \"2023-12-25\",\n \"description\": \"<string>\",\n \"quantity\": 123,\n \"rate\": 123,\n \"fee\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "7ed48ebd-8797-48b2-b54e-53bdc9c0656b",
"date": "2026-02-25",
"quantity": 8,
"rate": 150,
"fee": 1200,
"description": "Additional consulting hours",
"createdAt": "2026-02-25T20:20:59.129Z",
"project": {
"id": "9ee20e9d-10c1-4d52-9d93-bf2eeda62d45",
"name": "Website Redesign",
"client": {
"id": "d5afaffe-09e5-4d73-b02c-905b40fc6c22",
"name": "Acme Company, Inc."
}
},
"invoiceItem": {
"id": "72761804-b01e-4c8f-8352-2fcde43261a8",
"name": "Professional Services"
},
"invoiced": false
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project other item uuid
Body
The invoice item ID (uuid) for this other item.
The date of the item. Will be in the form YYYY-MM-DD.
A description of the item being charged.
The quantity used to calculate the fee.
The rate used to calculate the fee.
The total amount of the item.
Response
200
The unique identifier for the object.
The date of the item. Will be in the form YYYY-MM-DD.
The quantity used to calculate the fee.
The rate used to calculate the fee.
The total amount of the item.
A description of the item being charged.
The timestamp when the object was created.
The project this item belongs to.
Show child attributes
Show child attributes
The invoice item associated with this other item.
Show child attributes
Show child attributes
Whether the item has been invoiced.